Subject: Re: MPC8xx SCC for sync. HDLC on 2.4 kernel

From: Ricardo Scop <[email-masked]>
Date: Tue, 27 Jan 2004 17:20:11 -0200

Hi,

On Tuesday 27 January 2004 14:23, Jos Beck wrote:
> I am trying to build a synchronous HDLC driver for the SCC of the
> MPC850/860 under linux kernel 2.4.22
>
> I have got one working on a 2.2.5 kernel and one buggy, async only, for the
> 2.4 kernels.
> What would be the best approach: porting the 2.2.5 driver to the 2.4.x
> kernel or digging into the driver (ehdlc.c by Rodolfo Giometti based on Dan
> Malek's enet.c) to make it work for sync HDLC at high speeds?
>
> Or an alternative?

Well, I have a driver that works both for MPC860 and MPC8260, over linuxppc
2.4.21 and with recent patches of the Generic HDLC Layer. I'm sending it
separately because it's to big for the list.

> Best regards,
> Jos Beck

--
Ricardo Scop.

--_______----------------------------
 /  ___  \
 \_(@ @)_/
  /  V  \  R SCOP Consult.
 /(     )\ Linux-based communications
/ ^^---^^ \
-------------------------------------
[email-masked]
+55 51 999-36-777
Porto Alegre, BRazil

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/